%define anolis_release 2

Summary:	The Vorbis General Audio Compression Codec tools
Name:		vorbis-tools
Version:	1.4.2
Release:	%{anolis_release}%{?dist}
Epoch:		1
License:	GPLv2
URL:		https://www.xiph.org/
Source:		https://ftp.osuosl.org/pub/xiph/releases/vorbis/%{name}-%{version}.tar.gz

Patch1:		vorbis-tools-1.4.2-man-page.patch
Patch2:		vorbis-tools-c99.patch

BuildRequires: flac-devel
BuildRequires: gettext
BuildRequires: gcc
BuildRequires: make
BuildRequires: speex-devel
BuildRequires: pkgconfig(ao) >= 1.0.0
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(ogg) >= 1.0
BuildRequires: pkgconfig(vorbis) >= 1.3.0

Obsoletes:	vorbis < %{EVR}
Provides:	vorbis = %{EVR}

# source code of vorbis-tools contains a copy of vasnprintf.c from gnulib
Provides: bundled(gnulib)

%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The vorbis package contains an encoder, a decoder, a playback tool, and a
comment editor.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security"
%configure
%make_build


%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}*
%generate_compatibility_deps
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
%dir %{abidir}
%{abidir}/ogg123-option.list
%{abidir}/oggdec-option.list
%{abidir}/oggenc-option.list
%{abidir}/ogginfo-option.list
%{abidir}/vorbiscomment-option.list

%files doc
%doc AUTHORS README ogg123/ogg123rc-example

%changelog
* Mon Apr 03 2023 Funda Wang <fundawang@yeah.net> - 1:1.4.2-2
- Rebuild for new flac

* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 1:1.4.2-1
- init package from upstream
